Browse docs
On this page

API Reference

Status

  • API keys exist today.
  • Public status page JSON exists today at /api/status on status-page domains.

Base URL

https://apiassert.com/api/v1

Authentication

Authorization: Bearer aa_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

Endpoints

Monitors

  • GET /monitors
  • POST /monitors
  • GET /monitors/{id}
  • PATCH /monitors/{id}
  • DELETE /monitors/{id}

Check Results

  • GET /monitors/{id}/checks
  • GET /checks/{id}

Incidents

  • GET /incidents
  • GET /incidents/{id}

Alert Channels

  • GET /alert-channels
  • POST /alert-channels
  • PATCH /alert-channels/{id}
  • DELETE /alert-channels/{id}

Monitor Create Payload

{
  "name": "Production Auth",
  "url": "https://api.example.com/auth/health",
  "method": "GET",
  "frequency": 60,
  "timeout": 30,
  "body_type": "none",
  "regions": ["us-east-1", "eu-central-1"],
  "assertions": [
    {
      "type": "status_code",
      "operator": "equals",
      "value": "200"
    },
    {
      "type": "json_path",
      "property": "$.healthy",
      "operator": "equals",
      "value": "true"
    }
  ]
}